nz-spin.warning-list-container([nzSpinning]="loading", nzTip="Loading warnings", [nzDelay]="200")
  nz-list([nzHeader]="listHeader", [nzNoResult]="listNoResult", [nzDataSource]="errorGroups", [nzRenderItem]="renderItem")
    ng-template(#renderItem, let-item)
      nz-list-item
        nz-list-item-meta(
          [nzTitle]="item.title",
          [nzDescription]="listItemDescription")
        ng-template(#listItemDescription)
          ul.warning-item-description
            li(*ngFor="let errorItem of item.items") {{ errorItem.code | ryaxWorkflowWarningMessage }}

ng-template(#listHeader)
  span.warning-list-title Warnings
  nz-badge([nzCount]="workflowErrors.length")

ng-template(#listNoResult)
  nz-result(nzStatus="success", nzTitle="Workflow ready", nzSubTitle="Module is ready to be deployed", [nzExtra]="listNoResultSuccessAction")

ng-template(#listNoResultSuccessAction)
  //ryax-confirm-button(label="Deploy", icon="play-circle", confirmPlacement="bottomRight", type="primary",
    confirmText="Are you sure to deploy this workflow ?", confirmOkText="Deploy", (confirmOk)="onClickDeploy()")


